Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1259500 - rpmfluff is missing dependency on rpm-build
Summary: rpmfluff is missing dependency on rpm-build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rpmfluff
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Jan Hutař
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-02 19:10 UTC by Alexander Todorov
Modified: 2016-03-25 22:23 UTC (History)
1 user (show)

Fixed In Version: python-rpmfluff-0.4.3-1.fc23 python-rpmfluff-0.4.3-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-07 12:45:22 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Alexander Todorov 2015-09-02 19:10:12 UTC
Description of problem:

Subject says it all. The python code makes a call to the rpmbuild executable which in my case wasn't installed.

Version-Release number of selected component (if applicable):
python3-rpmfluff-0.4.2-1.fc24.noarch

Comment 1 Jan Hutař 2015-09-03 06:18:54 UTC
Yes, you are right. Thanks for pointing this out.

https://git.fedorahosted.org/cgit/rpmfluff.git/commit/?id=ee4b3c4e1e72f39c1dee236caa2871ce6d274df0

Comment 2 Fedora Update System 2015-09-04 07:30:04 UTC
python-rpmfluff-0.4.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-rpmfluff'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14935

Comment 3 Fedora Update System 2015-09-04 07:34:08 UTC
python-rpmfluff-0.4.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-rpmfluff'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14936

Comment 4 Alexander Todorov 2015-09-07 12:45:08 UTC
# rpm -q rpm-build python3-rpmfluff
package rpm-build is not installed
package python3-rpmfluff is not installed

# dnf install python3-rpmfluff
Last metadata expiration check performed 1:52:03 ago on Mon Sep  7 06:52:03 2015.
Dependencies resolved.
================================================================================
 Package               Arch       Version               Repository         Size
================================================================================
Installing:
 bzip2                 x86_64     1.0.6-17.fc24         beaker-Fedora      58 k
 dwz                   x86_64     0.12-1.fc23           beaker-Fedora     106 k
 elfutils              x86_64     0.163-3.fc24          beaker-Fedora     291 k
 gc                    x86_64     7.4.2-4.fc23          beaker-Fedora     104 k
 gcc-gdb-plugin        x86_64     5.1.1-4.fc23          beaker-Fedora      74 k
 gdb                   x86_64     7.10-18.fc24          rawhide           3.2 M
 ghc-srpm-macros       noarch     1.4.2-2.fc23          beaker-Fedora     8.2 k
 gnat-srpm-macros      noarch     2-1.fc23              beaker-Fedora     8.4 k
 go-srpm-macros        noarch     2-2.fc24              beaker-Fedora     7.1 k
 guile                 x86_64     5:2.0.11-6.fc23       beaker-Fedora     3.9 M
 libatomic_ops         x86_64     7.4.2-6.fc23          beaker-Fedora      31 k
 libbabeltrace         x86_64     1.2.4-2.fc24          beaker-Fedora     152 k
 libipt                x86_64     1.4.2-1.fc24          rawhide            36 k
 ocaml-srpm-macros     noarch     2-3.fc23              beaker-Fedora     8.1 k
 perl-generators       noarch     1.04-1.fc24           beaker-Fedora      15 k
 perl-srpm-macros      noarch     1-17.fc23             beaker-Fedora     9.7 k
 python3-rpmfluff      noarch     0.4.3-1.fc24          rawhide            47 k
 redhat-rpm-config     noarch     36-1.fc24             beaker-Fedora      59 k
 rpm-build             x86_64     4.12.90-7.fc24        beaker-Fedora     135 k

Transaction Summary
================================================================================
Install  19 Packages

Total download size: 8.2 M
Installed size: 26 M
Is this ok [y/N]: 


# rpm -q rpm-build python3-rpmfluff
rpm-build-4.12.90-7.fc24.x86_64
python3-rpmfluff-0.4.3-1.fc24.noarch

Comment 5 Fedora Update System 2016-03-25 01:27:29 UTC
python-rpmfluff-0.4.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-03-25 22:23:52 UTC
python-rpmfluff-0.4.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.